Package org.zkoss.bind.impl

## Class ClientBinderCommandParser

- java.lang.Object
- - org.zkoss.bind.impl.ClientBinderCommandParser

- All Implemented Interfaces:
    `NamespaceParser`

      public class ClientBinderCommandParser
      extends java.lang.Object
      implements NamespaceParser

  A client binder command parser for `@command` and `@global-command`
  Since:
    8.0.0
  Author:
    jumperchen

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientBinderCommandParser()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getPriority()` | Returns the namespace parser's priority, higher is the first.
    `boolean` | `isMatched​(java.lang.String nsURI)` | Checks whether the namespace URI is used for this Namespace Parser.
    `boolean` | `parse​(Attribute attr, ComponentInfo compInfo, PageDefinition pgdef)` | Parses the the content with the current namespace parser.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientBinderCommandParser

          public ClientBinderCommandParser()

  - ### Method Detail

    - #### isMatched

          public boolean isMatched​(java.lang.String nsURI)

      Description copied from interface: `NamespaceParser`
      Checks whether the namespace URI is used for this Namespace Parser.
      Specified by:
        `isMatched` in interface `NamespaceParser`

    - #### parse

          public boolean parse​(Attribute attr,
                               ComponentInfo compInfo,
                               PageDefinition pgdef)
                        throws java.lang.Exception

      Description copied from interface: `NamespaceParser`
      Parses the the content with the current namespace parser.
      Specified by:
        `parse` in interface `NamespaceParser`
      Returns:
        true to terminal the next namespace parser processing
      Throws:
        `java.lang.Exception`

    - #### getPriority

          public int getPriority()

      Description copied from interface: `NamespaceParser`
      Returns the namespace parser's priority, higher is the first.
      Specified by:
        `getPriority` in interface `NamespaceParser`